Subject: Re: [RFC/PATCH 0/7] Rework git core for native submodules

From: John Keeping <[email-masked]>
Date: Sun, 7 Apr 2013 22:02:25 +0100

On Mon, Apr 08, 2013 at 02:19:10AM +0530, Ramkumar Ramachandra wrote:
> Jens Lehmann wrote:
> > * A link object has no unstaged counterpart that a file easily
> >   has. What would that mean for adding a submodule and then
> >   unstaging it (or how could we add a submodule unstaged, like
> >   you proposed in another email)?
> 
> Adding a submodule untracked (not unstaged) is possible, and is
> default: git clone gets the submodules, and you have to use git add to
> stage it.  I agree that you can't edit-link and have an unstaged
> change, but I really don't care about that.

I do.  I quite often use "git add -p" to sort things out and submodules
currently fit into that seamlessly: I can add the submodule and then
wait until later to commit it, without needing to either clone and
remember to "submodule add" later or commit and play with rebase.

Losing the ability to do that is a major usability regression as far as
I'm concerned.